:root {
    --black-color: rgb(40, 40, 40);
    --white-color: rgb(255, 255, 255);
    --background-color: rgb(230, 220, 210);
    --emphasize-color: rgb(170, 120, 105);
    --subtle-color: rgb(130, 130, 130);
    --marker-color: rgb(245, 240, 240);
    --green-color: rgb(65, 115, 75);
    --red-color: rgb(150, 45, 65);
}

/*#region basic structure */
* {
    padding: 0;
    margin: 0;
    user-select: none;
    box-sizing: border-box;
    font-size: clamp(8px, 4vmin, 16px);
    font-family: "Radley", serif;
    scrollbar-width: none;
    -ms-overflow-style: none;
    color: var(--black-color);
}

::-webkit-scrollbar {
    display: none;
}

html {
    background-color: var(--white-color);
    display: flex;
    justify-content: center;
    width: 100dvw;
    height: 100dvh;
}

body {
    background-color: var(--background-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    width: 30%;

}

@media (orientation: portrait) {
    html {
        padding: 0 1rem 0 1rem;
        padding: 1rem;
        padding: 0;
    }
    body {
        width: 100%;
    }            
}

body > div {
    width: 100%;
}
/* #endregion */

/*#region header */
header {
    display: flex;
    align-items: center;
    width: 100%;
    background-color: var(--emphasize-color);
    padding: 1rem;
    justify-content: space-between;
}

#header-logo {
    height: 3rem;
    width: 3rem;
    padding: .5rem;
    background-color: var(--white-color);
    border-radius: .5rem;
}     

#header-translate {
    height: 2rem;
    width: 2rem;
    margin: .5rem;
    background-color: var(--white-color);
    border-radius: .5rem;
}   

#header-text {
    color: var(--white-color);
    font-weight: bold;
    font-size: 1.5rem;
    text-align: center;
    height: 3rem;
    line-height: 3rem;
    width: fit-content;
}
/* #endregion */

/*#region content */
.content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    width: 100%;
}

.content > div {
    background-color: var(--white-color);
    padding: 1rem;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}
/* #endregion */

/* #region general style */
label {
    font-weight: bold;
    height: 1.5rem;
    line-height: 1.5rem;
    padding-left: .25rem;
    font-size: 1rem;
    color: var(--emphasize-color);
    width: fit-content;
}

input {
    margin-bottom: .75rem;
    height: 2.25rem;
    line-height: 2.25rem;
    padding-left: .5rem;
    border-radius: .5rem;
    border: 1px solid var(--subtle-color);
    width: 100%;
}

input::placeholder {
    font-size: 1rem;
    height: 2.25rem;
    line-height: 2.25rem;
}

button {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 3rem;
    border-radius: 1.5rem;
    color: var(--white-color);
    font-weight: bold;
    border: none;
    width: 100%;
}

a {
    text-decoration: underline;
    color: var(--black-color);
    cursor: pointer;
}
/* #endregion */

/* #region common section elements */
.section-header {
    font-weight: bold;
    color: var(--black-color);
    font-size: 1.25rem;
    height: 1.75rem;
    line-height: 1.75rem;
    background-color: var(--marker-color);
    width: fit-content
}

.comment {
    font-style: italic;
    color: var(--subtle-color);
    line-height: 1.5rem;
    width: 100%;
}

.emphasize {
    font-weight: bold;
    color: var(--emphasize-color);
}

.black {
    color: var(--black-color);
}

.icon-button {
    width: 1.5rem;
    height: 1.5rem;
    cursor: pointer;
}
/* #endregion */

/* #region update session */
#update-info-container {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    width: 100%;
}
    
#update-info-container > .update-info {
    width: 100%;
}

#update-button-container {
    display: flex;
    width: 100%;
    gap: 1rem;
}

#update-session-button:enabled {
    background-color: var(--green-color);
}

#update-session-button:disabled {
    background-color: var(--background-color);
}

#leave-session-button:enabled {
    background-color: var(--red-color);
}

#leave-session-button:disabled {
    background-color: var(--background-color);
}
/* #endregion */

/* #region join session */
#join-session {
    display: flex;
    width: 100%;
}

#join-button-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: fit-content;
    height: 100%;
}

.join-button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--emphasize-color);
    padding: .5rem;
    width: fit-content;
    height: 100%;
}

#join-button-container {
    border-radius: .5rem 0 0 0;
    background-color: var(--green-color);
}

#unlike-button-container {
    border-radius: 0 0 0 0.5rem;
    background-color: var(--red-color);
}

.join-info-container {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    padding: .5rem;
    border: 1px solid var(--background-color);
    border-radius: 0 .5rem .5rem 0;
    border-left: none;
    width: 100%;
}

.join-info {
    line-height: 1.5rem;
    width: 100%;
}
/* #endregion */

/* #region concept explanation */
#explanation ol {
    display: flex;
    flex-direction: column;
    gap: .5rem;    
    padding-left: 1rem;
    width: 100%;
}
/* #endregion */

/* #region like session */
#like-table {    
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}

#no-active-sessions {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 1.75rem;
    line-height: 1.75rem;
    font-size: 1rem;
    background-color: var(--background-color);
    border-radius: 1rem;
}

.like-session {
    display: flex;
    width: 100%;
}

.like-button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--emphasize-color);
    padding: .5rem;
    width: fit-content;
    height: 100%;
    border-radius: .5rem 0 0 .5rem;
}

.like-info-container {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    padding: .5rem;
    border: 1px solid var(--background-color);
    border-radius: 0 .5rem .5rem 0;
    border-left: none;
    width: 100%;
}

.like-info {
    line-height: 1.5rem;
    width: 100%;
}
/* #endregion */

/* #region start session */
#start-endtime {
    padding-right: .25rem;
    width: 100%;
}

#start > form {
    display: flex;
    flex-direction: column;
    width: 100%;
}

#start-button:enabled {
    background-color: var(--emphasize-color);
}

#start-button:disabled {
    background-color: var(--background-color);
}
/* #endregion */

/* #region bio session */
#bio-image {
    height: fit-content;
    border-radius: 1rem;
    width: 100%;
}
/* #endregion */

/* #region footer */
footer {
    background-color: transparent;
    gap: 0rem;
    width: 100%;
}

footer > p {
    width: 100%;
    height: 1.25rem;
    line-height: 1.25rem;
    font-size: .75rem;
    text-align: center;
    color: var(--black-color);
}
/* #endregion */

/* #region dispay per section */
#update {
    display: none;
}

#join {
    display: none;
}

#explanation {
    display: flex;
}

#like {
    display: none;
}

#start {
    display: none;
}

#bio {
    display: flex;
}
/* #endregion */